=== debian/changelog ===
rhvoice (1.2.3+dfsg-3) unstable; urgency=medium

  * source/lintian-overrides: Update override message.
  * copyright: Fix file paths.
  * watch: Mangle version to +dfsg.
  * control: Bump Standards-Version to 4.6.0 (no change)
  * Continue playing cat and mice again with lintian warning suppression.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 29 Jan 2022 14:51:30 +0100

rhvoice (1.2.3+dfsg-2) unstable; urgency=medium

  * docs: Add missing docs.
  * control: Make librhvoice-core4 depend on a voice rather than librhvoice5.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 14 Oct 2021 13:34:19 +0200

rhvoice (1.2.3+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: 802852)

 -- Samuel Thibault <sthibault@debian.org>  Wed, 21 Apr 2021 16:05:12 +0200
