=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

SCONS=scons

%:
	dh $@

override_dh_auto_configure:
	:

override_dh_auto_build:
	$(SCONS) prefix="/usr" sysconfdir="/etc" libdir="/usr/lib/$(DEB_HOST_MULTIARCH)" \
		CPPFLAGS="$(CPPFLAGS)" \
		CC="$(CC)" \
		CFLAGS="$(CFLAGS)" \
		CXX="$(CXX)" \
		CXXFLAGS="$(CXXFLAGS)" \
		LINKFLAGS="$(LDFLAGS)"

override_dh_auto_clean:
	dh_auto_clean
	$(SCONS) -c
	rm -fr $(CURDIR)/build
	py3clean .

override_dh_auto_install:
	scons DESTDIR=$(CURDIR)/debian/tmp install
