=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+dfsg$//,\
filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%rhvoice-$1% \
  https://github.com/RHVoice/RHVoice/releases \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
