## rhvoice 1.8.0%2Bdfsg

=== debian/changelog ===
rhvoice (1.8.0+dfsg-5) unstable; urgency=medium

  * patches/utf8: Fix build against newer libutfcpp-dev (Closes: Bug#1090291)

 -- Samuel Thibault <sthibault@debian.org>  Wed, 29 Jan 2025 23:16:13 +0100

rhvoice (1.8.0+dfsg-4) unstable; urgency=medium

  * control: Drop language list, now outdated (Closes: Bug#1034540)
  * patches/third-party: Don't refer to boost's SConscript
    (Closes: Bug#1084504)

 -- Samuel Thibault <sthibault@debian.org>  Tue, 08 Oct 2024 00:09:42 +0200

rhvoice (1.8.0+dfsg-3) unstable; urgency=medium

  * watch: Use tags instead of releases.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 23 Oct 2022 12:32:57 +0200

rhvoice (1.8.0+dfsg-2) unstable; urgency=medium

  * control: Make librhvoice-core7 conflict+replace librhvoice-core4 for
    /etc/RHVoice/RHVoice.conf.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 25 Jul 2022 19:38:08 +0200

rhvoice (1.8.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - New rhvoice-albanian, rhvoice-macedonian, rhvoice-polish packages.
    - Rename librhvoice-core4 to librhvoice-core7 according to soname bump.
    - rhvoice-english.install: Add evgeniy-eng and lyubov voices.
    - rhvoice-russian.install: Add aleksandr, aleksandr-hq, arina,
      evgeniy-rus, mikhail, pavel, tatiana, victoria, vitaliy, yuriy voices.
    - rhvoice-ukrainian.install: Add marianna and volodymyr voices.
    - speech-dispatcher-rhvoice.install: Update sd_rhvoice path
    - control: Add libboost-dev and libspeechd-dev build-deps.
    - docs: Drop NEWS.
    - patches/third-party: refresh.
    - control: Update to 1.8.0 upstream release.
    - rules: Enable sonic.
    - copyright: Update.
  * copyright:
    - Add non-free Disclaimer field
    - Add CC-BY-NC-ND-4.0 and CC-BY-SA-4.0 licenses texts.
    - Fix cmake license from Public Domain to Unlicense
    - Drop unused LGPL-2+ license.
    - Closes: Bug#1014459.
  * gbp.conf: Move import-orig filter to copyright's Files-Excluded.
  * watch: Add +dfsg repacksuffix.
  * source/lintian-overrides: Drop now-fixed override.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 24 Jul 2022 23:19:07 +0200
